<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-682"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20XHXBlankView%E7%B1%BB%20%E5%8F%82%E8%80%83"></a><title>XHXKit: XHXBlankView类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('interface_x_h_x_blank_view.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">构造函数</a> |
<a href="#pub-static-methods">类方法</a> |
<a href="#properties">属性</a> |
<a href="interface_x_h_x_blank_view-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">XHXBlankView类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_x_h_x_blank_view_8h_source.html">XHXBlankView.h</a>&gt;</code></p>
<div class="dynheader">
类 XHXBlankView 继承关系图:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_x_h_x_blank_view.png" usemap="#XHXBlankView_map" alt=""/>
  <map id="XHXBlankView_map" name="XHXBlankView_map">
<area href="interface_x_h_x_activity_blank_view.html" alt="XHXActivityBlankView" shape="rect" coords="0,112,166,136"/>
<area href="interface_x_h_x_image_blank_view.html" alt="XHXImageBlankView" shape="rect" coords="176,112,342,136"/>
<area href="interface_x_h_x_text_blank_view.html" alt="XHXTextBlankView" shape="rect" coords="176,168,342,192"/>
<area href="interface_x_h_x_text_loading_blank_view.html" alt="XHXTextLoadingBlankView" shape="rect" coords="176,224,342,248"/>
  </map>
</div></div>
<table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
构造函数</h2></td></tr>
<tr class="memitem:ae7d5dcd4b697e9ca3d9610255efb64e1"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_blank_view.html#ae7d5dcd4b697e9ca3d9610255efb64e1">showInView:animated:</a></td></tr>
<tr class="separator:ae7d5dcd4b697e9ca3d9610255efb64e1"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ab10606e0ea7e914ab95adc3bc64cf173"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_blank_view.html#ab10606e0ea7e914ab95adc3bc64cf173">hideWithAnimated:</a></td></tr>
<tr class="separator:ab10606e0ea7e914ab95adc3bc64cf173"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:afb4aeea762e27b04d41132d401d69685"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_blank_view.html#afb4aeea762e27b04d41132d401d69685">setupSubViews</a></td></tr>
<tr class="separator:afb4aeea762e27b04d41132d401d69685"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table><table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
类方法</h2></td></tr>
<tr class="memitem:a297fdebfa0b1d7221b9f6e7418c82e56"><td class="memItemLeft" align="right" valign="top">(instancetype)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_blank_view.html#a297fdebfa0b1d7221b9f6e7418c82e56">blankView</a></td></tr>
<tr class="separator:a297fdebfa0b1d7221b9f6e7418c82e56"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:abd679aaa10becc10d4f69d50cad041c0"><td class="memItemLeft" align="right" valign="top">(<a class="el" href="interface_x_h_x_blank_view.html">XHXBlankView</a> *)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_blank_view.html#abd679aaa10becc10d4f69d50cad041c0">blankViewInView:</a></td></tr>
<tr class="separator:abd679aaa10becc10d4f69d50cad041c0"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ae7d5dcd4b697e9ca3d9610255efb64e1"><td class="memItemLeft" align="right" valign="top">(instancetype)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_blank_view.html#ae7d5dcd4b697e9ca3d9610255efb64e1">showInView:animated:</a></td></tr>
<tr class="separator:ae7d5dcd4b697e9ca3d9610255efb64e1"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a7e5bbb46a1690ef25349b29bea69e148"><td class="memItemLeft" align="right" valign="top">(instancetype)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_x_h_x_blank_view.html#a7e5bbb46a1690ef25349b29bea69e148">hideInView:animated:</a></td></tr>
<tr class="separator:a7e5bbb46a1690ef25349b29bea69e148"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table><table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
属性</h2></td></tr>
<tr class="memitem:ad58894774a7544c65288b4ec5ef0c101"><td class="memItemLeft" align="right" valign="top">UIView *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_blank_view.html#ad58894774a7544c65288b4ec5ef0c101">contentView</a></td></tr>
<tr class="separator:ad58894774a7544c65288b4ec5ef0c101"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a5d1cef7918ce06e79bc3e5c416a8dbf3"><td class="memItemLeft" align="right" valign="top">CGFloat topOffset&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_blank_view.html#a5d1cef7918ce06e79bc3e5c416a8dbf3">UI_APPEARANCE_SELECTOR</a></td></tr>
<tr class="separator:a5d1cef7918ce06e79bc3e5c416a8dbf3"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table>
<h2 class="groupheader">函数文档</h2>
<a id="a297fdebfa0b1d7221b9f6e7418c82e56"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a297fdebfa0b1d7221b9f6e7418c82e56">◆&nbsp;</a></span>blankView</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (instancetype) blankView </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>创建一个空白页 </p>

</div>
</div>
<a id="abd679aaa10becc10d4f69d50cad041c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd679aaa10becc10d4f69d50cad041c0">◆&nbsp;</a></span>blankViewInView:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (<a class="el" href="interface_x_h_x_blank_view.html">XHXBlankView</a> *) blankViewInView: </td>
          <td></td>
          <td class="paramtype">(UIView *)&nbsp;</td>
          <td class="paramname"><em>view</em></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>找到父视图的空白页，如果没有，则返回nil </p>

</div>
</div>
<a id="a7e5bbb46a1690ef25349b29bea69e148"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e5bbb46a1690ef25349b29bea69e148">◆&nbsp;</a></span>hideInView:animated:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (instancetype) hideInView: </td>
          <td></td>
          <td class="paramtype">(UIView *)&nbsp;</td>
          <td class="paramname"><em>view</em></td>
        </tr>
        <tr>
          <td class="paramkey">animated:</td>
          <td></td>
          <td class="paramtype">(BOOL)&nbsp;</td>
          <td class="paramname"><em>animated</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>隐藏某个视图的空白页 </p><dl class="section return"><dt>返回</dt><dd>返回隐藏的空白页视图 </dd></dl>

</div>
</div>
<a id="ab10606e0ea7e914ab95adc3bc64cf173"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab10606e0ea7e914ab95adc3bc64cf173">◆&nbsp;</a></span>hideWithAnimated:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (void) hideWithAnimated: </td>
          <td></td>
          <td class="paramtype">(BOOL)&nbsp;</td>
          <td class="paramname"><em>animated</em></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>隐藏空白页 </p>

</div>
</div>
<a id="afb4aeea762e27b04d41132d401d69685"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb4aeea762e27b04d41132d401d69685">◆&nbsp;</a></span>setupSubViews</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (void) setupSubViews </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="ae7d5dcd4b697e9ca3d9610255efb64e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7d5dcd4b697e9ca3d9610255efb64e1">◆&nbsp;</a></span>showInView:animated: <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (void) showInView: </td>
          <td></td>
          <td class="paramtype">(UIView *)&nbsp;</td>
          <td class="paramname"><em>view</em></td>
        </tr>
        <tr>
          <td class="paramkey">animated:</td>
          <td></td>
          <td class="paramtype">(BOOL)&nbsp;</td>
          <td class="paramname"><em>animated</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>显示空白页 </p>

</div>
</div>
<a id="ae7d5dcd4b697e9ca3d9610255efb64e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7d5dcd4b697e9ca3d9610255efb64e1">◆&nbsp;</a></span>showInView:animated: <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (void) showInView: </td>
          <td></td>
          <td class="paramtype">(UIView *)&nbsp;</td>
          <td class="paramname"><em>view</em></td>
        </tr>
        <tr>
          <td class="paramkey">animated:</td>
          <td></td>
          <td class="paramtype">(BOOL)&nbsp;</td>
          <td class="paramname"><em>animated</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>在一个视图中创建并显示空白页 </p><dl class="section return"><dt>返回</dt><dd>返回显示的空白页 </dd></dl>

</div>
</div>
<h2 class="groupheader">属性说明</h2>
<a id="ad58894774a7544c65288b4ec5ef0c101"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad58894774a7544c65288b4ec5ef0c101">◆&nbsp;</a></span>contentView</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (UIView*) contentView</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a5d1cef7918ce06e79bc3e5c416a8dbf3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d1cef7918ce06e79bc3e5c416a8dbf3">◆&nbsp;</a></span>UI_APPEARANCE_SELECTOR</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGFloat topOffset) UI_APPEARANCE_SELECTOR</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<hr/>该类的文档由以下文件生成:<ul>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/General/XHXExtention/<a class="el" href="_x_h_x_blank_view_8h_source.html">XHXBlankView.h</a></li>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/General/XHXExtention/<a class="el" href="_x_h_x_blank_view_8m.html">XHXBlankView.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="interface_x_h_x_blank_view.html">XHXBlankView</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>